﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;  // ADD ME

namespace MultiFormDemo {

    // event-handling code for the two buttons on the MainForm:
    public class MainControl
    {   // the ClickForms constructed and owned by this object:
        private List<ClickForm> myforms = new List<ClickForm>();  
       
        // handles a press of the NewClickForm button by constructing new ClickForm:
        public void handleNewClickForm() {
            ClickForm f = new ClickForm(CloseClickForm); // see  CloseClickForm,  below
            myforms.Add(f);  // remember the new ClickForm
            f.Show();  // activates the ClickForm in the same thread of execution
        }

        // removes the ClickForm,  f,  from the list of active forms:
        public void CloseClickForm(ClickForm f) {
            myforms.Remove(f);
        }

        // handles a press of the CloseAll button
        public void handleCloseEverything() { 
           foreach (ClickForm f in myforms) {  // telling each ClickForm to exit:
               f.bye(); 
           }
           Application.Exit();   // terminate ALL threads in the forms application
        }
        
    }
}
